Setup

List Classifiers

GET https://api.synthesio.com/v1/projects/{project_id}/setup/classifiers

Lists the classifiers and classifier tags in the setup of the project.

Path parameters#

project_id string required

ID of the project

Responses#

Successful Response

application/json
classifiers array of object
classifiers[].id string
classifiers[].name string
classifiers[].color string nullable

Hexadecimal color code in #rrggbb format

classifiers[].tag_ids array of string
classifier_tags array of object
classifier_tags[].id string
classifier_tags[].color string nullable

Hexadecimal color code in #rrggbb format

classifier_tags[].name string
200 example
{
    "classifiers": [
        {
            "id": "q5io1cvqqc6rwuf58y3o",
            "name": "Mozzarella",
            "color": "#c42207",
            "tag_ids": [
                "4llvrlbr2xw8xkt6rk4y"
            ]
        },
        {
            "id": "flmf1l26pv9pibievrfu",
            "name": "Pepperoni",
            "color": "#2abb17",
            "tag_ids": [
                "4llvrlbr2xw8xkt6rk4y"
            ]
        }
    ],
    "classifier_tags": [
        {
            "id": "4llvrlbr2xw8xkt6rk4y",
            "color": "#c42207",
            "name": "Pizza toppings"
        }
    ]
}